| OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
OpenMesh::IO::BaseImporter Class Referenceabstract

Base class for importer modules. More...

`#include <OpenMesh/Core/IO/importer/BaseImporter.hh>`

Inheritance diagram for OpenMesh::IO::BaseImporter:
[legend]

## Public Types
typedef std::vector< VertexHandle > | VHandles

## Public Member Functions
virtual VertexHandle | add_vertex (const Vec3f &_point)=0
virtual VertexHandle | add_vertex ()=0
virtual FaceHandle | add_face (const VHandles &_indices)=0
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec2f > &_face_texcoords)=0
virtual void | add_face_texcoords (FaceHandle _fh, VertexHandle _vh, const std::vector< Vec3f > &_face_texcoords)=0
virtual void | set_face_texindex (FaceHandle _fh, int _texId)=0
virtual void | set_point (VertexHandle _vh, const Vec3f &_point)=0
virtual void | set_normal (VertexHandle _vh, const Vec3f &_normal)=0
virtual void | set_color (VertexHandle _vh, const Vec3uc &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec4uc &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec3f &_color)=0
virtual void | set_color (VertexHandle _vh, const Vec4f &_color)=0
virtual void | set_texcoord (VertexHandle _vh, const Vec2f &_texcoord)=0
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec2f &_texcoord)=0
virtual void | set_texcoord (VertexHandle _vh, const Vec3f &_texcoord)=0
virtual void | set_texcoord (HalfedgeHandle _heh, const Vec3f &_texcoord)=0
virtual void | set_color (EdgeHandle _eh, const Vec3uc &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec4uc &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec3f &_color)=0
virtual void | set_color (EdgeHandle _eh, const Vec4f &_color)=0
virtual void | set_normal (FaceHandle _fh, const Vec3f &_normal)=0
virtual void | set_color (FaceHandle _fh, const Vec3uc &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec4uc &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec3f &_color)=0
virtual void | set_color (FaceHandle _fh, const Vec4f &_color)=0
virtual void | add_texture_information (int _id, std::string _name)=0
virtual BaseKernel * | kernel ()
virtual bool | is_triangle_mesh () const
virtual void | reserve (unsigned int, unsigned int, unsigned int)
virtual size_t | n_vertices () const =0
virtual size_t | n_faces () const =0
virtual size_t | n_edges () const =0
virtual void | prepare ()
virtual void | finish ()

## Detailed Description

Base class for importer modules.

Importer modules provide an interface between the loader modules and the target data structure. This is basically a wrapper providing virtual versions for the required mesh functions.

The documentation for this class was generated from the following file:

- OpenMesh/Core/IO/importer/BaseImporter.hh